Bug 835155 - RHEL6 version of NTP does not support signed responses
RHEL6 version of NTP does not support signed responses
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ntp (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Miroslav Lichvar
qe-baseos-daemons
:
Depends On: 654004 986774
Blocks: 947781
  Show dependency treegraph
 
Reported: 2012-06-25 13:11 EDT by Giuseppe Ragusa
Modified: 2013-11-22 14:09 EST (History)
4 users (show)

See Also:
Fixed In Version: ntp-4.2.6p5-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Support for NTP signing with Samba4 as an Active Directory (AD) Domain Controller (DC). Reason: Allow time synchronization of clients and Domain Controller. Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 04:51:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed spec file for NTP 4.2.6p5 (37.31 KB, application/octet-stream)
2012-06-25 13:11 EDT, Giuseppe Ragusa
no flags Details
Proposed SysVinit control script for ntpd (from previous Fedora package) (1.88 KB, text/plain)
2012-06-25 13:13 EDT, Giuseppe Ragusa
no flags Details
Proposed SysVinit control script for ntpdate (from previous Fedora package) (2.01 KB, text/plain)
2012-06-25 13:13 EDT, Giuseppe Ragusa
no flags Details

  None (edit)
Description Giuseppe Ragusa 2012-06-25 13:11:56 EDT
Created attachment 594239 [details]
Proposed spec file for NTP 4.2.6p5

Description of problem:
NTP should be rebased to version >= 4.2.6 to support signed responses required by AD DC functionality (samba4).

Now that samba4 is approaching release (and Rawhide package seems to already take RHEL6 into consideration) and BIND has been rebased to 9.8 (minimum required version to support DLZ with samba4) this seems the last step to a future workable Technology Preview of Samba4 under RHEL6.

Version-Release number of selected component (if applicable):
ntp-4.2.4p8-2.el6.src.rpm

How reproducible:
Check docs/configuration: no 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No support available for signed responses.

Expected results:
Signed responses supported.

Additional info:
Attached spec file (from Rawhide package, modified to support non-systemd distro) and SysVinit control scripts for NTPd 4.2.6p5
Comment 1 Giuseppe Ragusa 2012-06-25 13:13:10 EDT
Created attachment 594240 [details]
Proposed SysVinit control script for ntpd (from previous Fedora package)
Comment 2 Giuseppe Ragusa 2012-06-25 13:13:41 EDT
Created attachment 594241 [details]
Proposed SysVinit control script for ntpdate (from previous Fedora package)
Comment 4 RHEL Product and Program Management 2012-09-07 01:32:00 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 8 errata-xmlrpc 2013-11-21 04:51:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1593.html

Note You need to log in before you can comment on or make changes to this bug.